import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Menu here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Menu extends World
{
    public static int width = 640;
    public static int height = width * 3 / 4; //Verhältniss 3 zu 4, d.h: 640x480
    /**
     * Constructor for objects of class Menu.
     * 
     */
    public Menu()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(width, height, 1); 
        addObject(new MenuPic(), Welt.width/2, Welt.height/2);
        MenuHandler.giveMenu(this);

        prepare();
    }

    /**
     * Bereite die Welt für den Programmstart vor. Das heißt: Erzeuge die Anfangs-
     * Objekte und füge sie der Welt hinzu.
     */
    private void prepare()
    {
        MenuHandler.setMenu();

        Button button = new Button("reset", 6, 120, 55);
        addObject(button, 500, 90);
        MenuHandler.setMenu();       
        Button button2 = new Button("stil", 5, 220, 55);
        addObject(button2, 160, 90);
        Button button3 = new Button("fortsetzen", 4, 111, 40);
        addObject(button3, 575, 25);
        MenuHandler.setMenu();
    }
}
